<!--	inner-banner starts-->
<section class="inner-banner">
  <div class="container">
    <h2>Checkout</h2>
  </div>
</section>
<!--	inner-banner ends-->
<section class="checkout-table-sec">
  <div class="container">
    <div class="cw-btn">
      <a (click)="onClickBackToCartItems()" href="javascript:void(0);" style="color: #00b0f0"
        ><i class="fa fa-angle-left" aria-hidden="true"></i>Back</a
      >
    </div>
    <div class="payment-checkout-wrap">
      <div class="row">
        <div class="col-12">
          <h2 class="payment-h2">Payment</h2>
        </div>
        <div class="col-lg-6 col-12">
          <div class="pay-card-wrap">
            <div class="pc-card">
              <div class="radio-CARD">
                <label class="pcr">
                  <input type="radio" checked="checked" name="radio" />
                  <span class="checkmark"></span>
                  Credit card
                </label>
                <img src="assets/images/cards.png" />
              </div>
              <form
                #checkout="ngForm"
                id="checkout-form"
                (submit)="onSubmit(checkout)"
              >
                <!-- <div class="form-row">
                           <div id="card-info" #cardInfo></div>
                     
                           <div id="card-errors" role="alert" *ngIf="error">{{ error }}</div>
                        </div> -->
                <div class="row">
                  <div class="col-12">
                    <div class="form-group input-group">
                      <div class="input-group-prepend">
                        <span #cardNumber> </span>
                        <!-- <input type="text" class="form-control" placeholder="Card number"> -->
                        <div class="input-group-append">
                          <span class="input-group-text"
                            ><i class="fa fa-lock" aria-hidden="true"></i
                          ></span>
                        </div>
                      </div>
                      <span class="text-danger" *ngIf="cardNumberError">{{ cardNumberError }}</span>
                    </div>
                  </div>
                  <!-- <div class="col-12">
                               <div class="form-group cardName">
                                  <input type="text" class="form-control" placeholder="Name on card" #nameOnCard>
                               </div>
                            </div> -->
                  <div class="col-md-6 col-12">
                    <div class="form-group">
                      <span #expiryDate> </span>
                      <!-- <input type="text" class="form-control" placeholder="Expiration date (MM / YY)" #expiryDate> -->
                      <span class="text-danger" *ngIf="expiryDateError">{{ expiryDateError }}</span>
                    </div>
                  </div>
                  <div class="col-md-6 col-12">
                    <div class="form-group input-group">
                      <div class="input-group-prepend">
                        <span #securityCode> </span>
                        <!-- <input type="text" class="form-control" placeholder="Security code" #securityCode> -->
                        <div class="input-group-append">
                          <span class="input-group-text"
                            ><i
                              class="fa fa-question-circle"
                              aria-hidden="true"
                            ></i
                          ></span>
                        </div>
                      </div>
                      <span class="text-danger" *ngIf="securityCodeError">{{ cardNumberError }}</span>
                    </div>
                  </div>
                </div>
              </form>
            </div>
            <p class="payment-secure-p">All transactions are secure and encrypted.</p>
            <div class="ct-btn-blue">
              <!-- <button (click)="onClickBackToCartItems()" class="btn cat-blue-btn back-button"><mat-icon>keyboard_arrow_left</mat-icon><span style="position: absolute;top: 20%;">Back</span></button> -->
              <button form="checkout-form" class="btn cat-blue-btn">
                pay now
              </button>
            </div>
            <div class="pc-official-rule">
              <p>
                You can opt out at any time and opting in isn't required to
                participate with The Great Connect. By continuing, you agree to
                our Terms of Use, Privacy Policy and Refund Policy. For State
                Disciosure Information,
                <a href="javascript:void(0);">Click here</a>
              </p>
              <ul>
                <li><a href="javascript:void(0);">Official Rules </a></li>
                <li><a href="javascript:void(0);"> Terms of Service</a></li>
                <li><a href="javascript:void(0);">Privacy</a></li>
              </ul>
            </div>
          </div>
        </div>
        <div class="col-lg-6 col-12">
          <div class="win-list">
            <ul>
              <ng-container *ngFor="let item of cartItems">
                <li>
                  <figure>
                    <img
                      [src]="item?.giveaway_image"
                      height="100%"
                      width="100%"
                    />
                    <!-- <div>{{ item.giveaway_image }}</div> -->
                    <div class="quantity-bubble">
                      <div>{{ item?.quantity }}</div>
                    </div>
                  </figure>
                  <figcaption>
                    <p>{{ item.giveaway_title }}</p>
                    <a href="javascript:void(0);"
                      >{{ item.entry_amount }} entries supporting XYZ Charity</a
                    >
                  </figcaption>
                </li>
              </ng-container>
              <!-- <li>
                         <figure></figure>
                         <figcaption>
                            <p>Win a 1974 BMW 2002 Turbo and $20.000</p>
                            <a href="javascript:void(0);">100 entries supporting XYZ Charity</a>
                         </figcaption>
                      </li> -->
            </ul>
            <!-- <div class="discount-form-container"> -->

              <div class="discount-form">
                <form
                  class="form-inline"
                  #couponForm="ngForm"
                  (submit)="onSubmitCoupon(couponForm)"
                >
                  <div class="form-group">
                    <input
                      [ngClass]="{
                        'not-valid': couponForm.submitted && couponError,
                        valid: couponForm.submitted && couponVerified
                      }"
                      type="text"
                      name="coupon_code"
                      ngModel
                      class="form-control"
                      placeholder="Discount code"
                      required
                    />
                  </div>
                  <button type="submit" class="btn">Apply</button>
                </form>

                <span
                  *ngIf="couponForm.submitted && couponError && !couponVerified"
                  style="color: red"
                  >Not a valid coupon</span
                >
                <span
                  *ngIf="couponForm.submitted && couponVerified && !couponError"
                  style="color: forestgreen"
                  >Coupon applied successfully, you will get
                  {{ couponData }} entries free.</span
                >
              </div>
              <div class="total-text">
                <p>
                  Total
                  <span
                    >USD<strong> ${{ totalAmount | number }}</strong></span
                  >
                </p>
              </div>
            <!-- </div> -->
          </div>
        </div>
      </div>
    </div>
  </div>

  <!-- <form #checkout="ngForm" (ngSubmit)="onSubmit(checkout)" class="checkout">
    </form> -->
</section>
<!--	footer starts-->
